# Uses of Interface
org.eclipse.jface.text.presentation.IPresentationRepairer

Packages that use IPresentationRepairer
Package
Description
org.eclipse.jface.text.presentation
Provides a presentation reconciler add-on for an `ITextViewer`.
org.eclipse.jface.text.rules
Provides a framework for rule based text scanning and uses the framework to provide rule-driven default implementations of `IPresentationDamager`, `IPresentationRepairer` and `IDocumentPartitioner`.

## Uses of IPresentationRepairer in org.eclipse.jface.text.presentation

Methods in org.eclipse.jface.text.presentation that return IPresentationRepairer
Modifier and Type
Method
Description
`IPresentationRepairer`
IPresentationReconciler.`getRepairer(String contentType)`
Returns the presentation repairer registered with this presentation reconciler for the specified content type.
`IPresentationRepairer`
PresentationReconciler.`getRepairer(String contentType)`
Methods in org.eclipse.jface.text.presentation with parameters of type IPresentationRepairer
Modifier and Type
Method
Description
`void`
PresentationReconciler.`setRepairer(IPresentationRepairer repairer, String contentType)`
Registers the given presentation repairer for a particular content type.

## Uses of IPresentationRepairer in org.eclipse.jface.text.rules

Classes in org.eclipse.jface.text.rules that implement IPresentationRepairer
Modifier and Type
Class
Description
`class`
`DefaultDamagerRepairer`
A standard implementation of a syntax driven presentation damager and presentation repairer.
`class`
`RuleBasedDamagerRepairer`
Deprecated, for removal: This API element is subject to removal in a future version.
use `DefaultDamagerRepairer`